package domain


type AlibabaRetailMarketingItempoolActivityQueryStairConditionDTO struct {
    /*
        是否满元门槛     */
    AmountAt  *bool `json:"amount_at,omitempty" `

    /*
        满元门槛值 -- 单位分     */
    Amount  *int64 `json:"amount,omitempty" `

    /*
        是否满件门槛     */
    CountAt  *bool `json:"count_at,omitempty" `

    /*
        件数     */
    Count  *int64 `json:"count,omitempty" `

    /*
        是否指定件数     */
    CountBegin  *bool `json:"count_begin,omitempty" `

    /*
        是否第几件     */
    Appoint  *bool `json:"appoint,omitempty" `

}

func (s *AlibabaRetailMarketingItempoolActivityQueryStairConditionDTO) SetAmountAt(v bool) *AlibabaRetailMarketingItempoolActivityQueryStairConditionDTO {
    s.AmountAt = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityQueryStairConditionDTO) SetAmount(v int64) *AlibabaRetailMarketingItempoolActivityQueryStairConditionDTO {
    s.Amount = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityQueryStairConditionDTO) SetCountAt(v bool) *AlibabaRetailMarketingItempoolActivityQueryStairConditionDTO {
    s.CountAt = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityQueryStairConditionDTO) SetCount(v int64) *AlibabaRetailMarketingItempoolActivityQueryStairConditionDTO {
    s.Count = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityQueryStairConditionDTO) SetCountBegin(v bool) *AlibabaRetailMarketingItempoolActivityQueryStairConditionDTO {
    s.CountBegin = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityQueryStairConditionDTO) SetAppoint(v bool) *AlibabaRetailMarketingItempoolActivityQueryStairConditionDTO {
    s.Appoint = &v
    return s
}
